Subject: bug#24682: closed (Re: Emacs 25 from GIT build issue under Ubuntu 16.10)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 17 Oct 2016 06:19:02 +0000

Your bug report

#24682: 26.0.50; Bootstrap failed

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24682: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24682
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Emacs 25 from GIT build issue under Ubuntu 16.10
From: Paul Eggert <[email-masked]>
To: Cesar Quiroz <[email-masked]>
Cc: Óscar Fuentes <[email-masked]>, Eli Zaretskii <[email-masked]>, Tim Cross <[email-masked]>, Michael Albinus <[email-masked]>, [email-masked]
Date: Sun, 16 Oct 2016 23:18:15 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Cesar Quiroz wrote:
> I applied the patch to my local copy of emacs-25, and it built fine.  Will
> test the official port when available.

Thanks, I have installed the patch into the emacs-25 branch and am marking this 
bug as done.

Subject: 26.0.50; Bootstrap failed
From: Michael Albinus <[email-masked]>
To: [email-masked]
Date: Thu, 13 Oct 2016 12:05:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I have upgraded one of my systems from Ubuntu 16.04 to 16.10. Now `make
bootstrap' fails on master with

--8<---------------cut here---------------start------------->8---
Finding pointers to doc strings...
Finding pointers to doc strings...done
Dumping under the name emacs
21680640 of 33554432 static heap bytes used
Makefile:749: recipe for target 'bootstrap-emacs' failed
make[1]: *** [bootstrap-emacs] Segmentation fault (core dumped)
--8<---------------cut here---------------end--------------->8---

One possible reason could be, that gcc has been upgraded from
"gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.2)" to
"gcc version 6.2.0 20161005 (Ubuntu 6.2.0-5ubuntu12)"

I am appending config.log

Best regards, Michael.